About to go pick up a DSi... which cards are compatible?

Discussion in 'NDS - Flashcarts and Accessories' started by Sinslasher, Jun 17, 2010.

  1. Sinslasher
    OP

    Newcomer Sinslasher Member

    Joined:
    Dec 23, 2009
    Messages:
    30
    Country:
    United States
    I traded in my DSlite and I'm going to go buy a DSi. Which would be the best card to buy and where? Anything you guys recommend? Such as not updating (if there is firmware updates with the DSi) etc?
     
  2. Devin

    Member Devin "Local Hardware Wizard"

    Joined:
    Aug 17, 2009
    Messages:
    5,701
    Location:
    The Nexus
    Country:
    United States
    R4i
    Acekard 2i
    M3i
    Supercard DSTWO
    Supercard DS1i
    Ect.

    Basically anything that ends in a "i", except for the Supercard DSTWO model, which doesn't have a "i" at the end. The other thing you want to look out for is, a flashcard that works on DSi firmware 1.4. ShopTemp has a great selection of flashcards available, but once again look for the following.

    1.It has a "i", at the end, except for the Supercard DS2.
    2.It works on DSi firmware 1.4. (They usually tell you in the items description.)
    3.It has a good price. (Don't buy a $100 dollar flashcard, at the most it should be $50.)

    Warning: Spoilers inside!
     
  3. EpicJungle

    Member EpicJungle stop browbeating me can't you see i'm sexy

    Joined:
    Aug 28, 2009
    Messages:
    1,002
    Country:
    Canada
    ^^

    What he said,

    but I recommend a AK2i, since it's really cheap ($14.95) on Shoptemp.
    *snip
     
  4. Sinslasher
    OP

    Newcomer Sinslasher Member

    Joined:
    Dec 23, 2009
    Messages:
    30
    Country:
    United States
    Thanks for all the replies. Just one question. When I looking at the AK2i, it asked if I want premium flashing service. Is this needed? I had a R4 for my DSlite and I never remember needing to buy this service nor needing to do it at one point.
     
  5. Scott-105

    Member Scott-105 Bow to me. Please?

    Joined:
    Aug 23, 2009
    Messages:
    2,943
    Location:
    Ontario, Canada
    Country:
    Canada
    Yes, you want it to be flashed or else it WILL NOT work on a new DSi.
     
  6. XXNatus

    Member XXNatus GBAtemp Regular

    Joined:
    Dec 28, 2009
    Messages:
    101
    Country:
    United States
    I'm assuming that means that they'll update it to work on a DSi with 1.4 firmware. If you have a DS lite or a DSi with 1.3 firmware then you can update it yourself, but if you don't have a DS lite or a DSi with 1.3 firmware, then yes it is needed, since new DSis come with firmware 1.4.
     
  7. Sinslasher
    OP

    Newcomer Sinslasher Member

    Joined:
    Dec 23, 2009
    Messages:
    30
    Country:
    United States
    Alright so I'll buy that. So they do that before shipping right? They just configure it right there? Does that mean I have to buy a microSD from shoptemp or can I just buy just with the card and the flashing service.
     
  8. EpicJungle

    Member EpicJungle stop browbeating me can't you see i'm sexy

    Joined:
    Aug 28, 2009
    Messages:
    1,002
    Country:
    Canada
    Nope, you don't have to buy a microSD...
     
  9. Sinslasher
    OP

    Newcomer Sinslasher Member

    Joined:
    Dec 23, 2009
    Messages:
    30
    Country:
    United States

Share This Page